作者 主題: IPFW 跟版本有關係嗎?  (閱讀 4912 次)

0 會員 與 1 訪客 正在閱讀本文。

jeffher.tw

  • 懷疑的國中生
  • **
  • 文章數: 48
    • 檢視個人資料
IPFW 跟版本有關係嗎?
« 於: 2006-11-16 22:32 »
Dear All,

        最近看著書實際操作 , 書名是 FreeBSD 完全探索
實際使用的版本是 4.8-RELEASE-P40

我打  ipfw add 100 pipe 1 ip from 192.168.99.100 80 to any
錯誤訊息  ipfw: only TCP and UDP protocols are  valid with port
specifications

  我打ipfw add pipe 1 config bw 128Kbit/s 及
          ipfw add pipe 1 config bw 128Kbit/s queue 1000Kbytes
錯誤訊息  invalid protocols "config"

不曉得到底是那裏出了問題?

                                     Jeff Ho

梁楓

  • 俺是博士!
  • *****
  • 文章數: 6220
    • 檢視個人資料
IPFW 跟版本有關係嗎?
« 回覆 #1 於: 2006-11-16 23:41 »
你該先學會用字典翻譯單字....
在資訊界要活的下去,第一件事就是必需肯去看那些簡單的錯誤訊息

就像是
ipfw: only TCP and UDP protocols are valid with port specifications
翻譯完就變成“只有TCP與UDP的通訊協定能使用Port

你用IP?

jeffher.tw

  • 懷疑的國中生
  • **
  • 文章數: 48
    • 檢視個人資料
IPFW 跟版本有關係嗎?
« 回覆 #2 於: 2006-11-17 00:47 »
引述: "梁楓"
你該先學會用字典翻譯單字....
在資訊界要活的下去,第一件事就是必需肯去看那些簡單的錯誤訊息

就像是
ipfw: only TCP and UDP protocols are valid with port specifications
翻譯完就變成“只有TCP與UDP的通訊協定能使用Port

你用IP?


我知道這句話的意思.... 所以才想問說是不是新舊版本格式是否不一樣啊!?  :(

梁楓

  • 俺是博士!
  • *****
  • 文章數: 6220
    • 檢視個人資料
IPFW 跟版本有關係嗎?
« 回覆 #3 於: 2006-11-17 01:13 »
唉...
1. 版本確實有差
2. 但是,你單純用IP來指定port,這點不合理

jeffher.tw

  • 懷疑的國中生
  • **
  • 文章數: 48
    • 檢視個人資料
IPFW 跟版本有關係嗎?
« 回覆 #4 於: 2006-11-17 09:03 »
引述: "梁楓"
唉...
1. 版本確實有差
2. 但是,你單純用IP來指定port,這點不合理


了解了! 真不好意思.... 我會再查清楚... 謝謝你囉!

                                                      小何